<? include('header.php'); ?>
<div class="menucenter">
<?
$result=mysql_query("select * from tb_config where item='downr'");
$myrow=mysql_fetch_assoc($result);
$downr=$myrow['price'];


 if(!isset($_SESSION["username"]) && !isset($_SESSION["password"]))
 {
	echo '<div class="error"><b>Ошибка! Для доступа к данной странице необходимо зарегистрироваться!</b></div>';
	include('footer.php');
	exit();
 }else{
 	include('still_plag/down_gues/download.php');
	$username=text($_SESSION["username"]);


	if(!isset($_GET["page"])) { }

 if(isset($_GET["page"]))
 {
	$option = text($_GET["page"]);
	$date = time();
	$datenorm = DATE("d.m.Yг. в H:i");

	if($option=="next")
		{
			if(count($_POST) > 0)
				{

					$description = (isset($_POST["description"])) ? text($_POST["description"]) : false;
					$url = (isset($_POST["url"])) ? text($_POST["url"]) : false;
					$text = (isset($_POST["text"])) ? text($_POST["text"]) : false;
					$plan = (isset($_POST["plan"])) ? intval($_POST["plan"]) : false;
					$kliks = (is_numeric($_POST["kliks"])) ? round($_POST["kliks"],3) : false;
					$size = (isset($_POST["size"])) ? text($_POST["size"]) : false;
					$var1 = (isset($_POST["var1"])) ? text($_POST["var1"]) : false;
					$var2 = (isset($_POST["var2"])) ? text($_POST["var2"]) : false;
					$var3 = (isset($_POST["var3"])) ? text($_POST["var3"]) : false;
					$var4 = (isset($_POST["var4"])) ? text($_POST["var4"]) : false;
					$var5 = (isset($_POST["var5"])) ? text($_POST["var5"]) : false;
					$verno = intval($_POST["verno"]);
					$vip = intval($_POST["vip"]);
					$color = intval($_POST["color"]);

                                        if(empty($description)){echo '<div class="error">Не верное описание </div>'; include('footer.php'); exit;}
					if($url=="" or $url=="http://"){echo '<div class="error">Не верное поле url сайта</div>'; include('footer.php'); exit;}
					if(empty($size)){echo '<div class="error">Не верно задан размер файла</div>'; include('footer.php'); exit;}
					if(empty($var1)){echo '<div class="error">Не задан вариант ответа №1</div>'; include('footer.php'); exit;}
					if(empty($var2)){echo '<div class="error">Не задан вариант ответа №2</div>'; include('footer.php'); exit;}
					if(empty($var3)){echo '<div class="error">Не задан вариант ответа №3</div>'; include('footer.php'); exit;}
					if(empty($var4)){echo '<div class="error">Не задан вариант ответа №4</div>'; include('footer.php'); exit;}
					if(empty($var5)){echo '<div class="error">Не задан вариант ответа №5</div>'; include('footer.php'); exit;}
					if ($verno!=1 and $verno!=2 and $verno!=3 and $verno!=4 and $verno!=5 ){echo '<div class="error">Не верно заданы варианты</div>'; include('footer.php'); exit;}
					if(empty($text)){echo '<div class="error">Нет описания</div>'; include('footer.php'); exit;}
					if($vip!=0 and $vip!=1){echo '<div class="error">Ошибка! Вы не выбрали категорию задания!</div>'; include('footer.php'); exit;}
					if($color!=0 and $color!=1){echo '<div class="error">Ошибка! Вы не выбрали цвет выделения!</div>'; include('footer.php'); exit;}
                    if($plan < $down_con["min_plan"]){echo '<div class="error">Ошибка! Минимум 5 правильных ответов</div>'; include('footer.php'); exit;}
                    if($kliks < $down_con["min_money"]){echo '<div class="error">Ошибка! Цена не должна быть меньше '.$down_con["min_money"].' руб.</div>'; include('footer.php'); exit;}

					if($vip=="0")
						{$cenavip="0"; $vipto="Нет";}
					elseif($vip=="1")
						{$cenavip=(10.00 * $vip); $vipto="Да(+$cenavip руб.)";}
					else {$cenavip="0"; $vipto="Нет";}

					if($color=="0")
						{$cenacolor="0"; $colorto="Нет";}
					elseif($color=="1")
						{$cenacolor=(5.00 * $color); $colorto="Да(+$cenacolor руб.)";}
					else {$cenacolor="0"; $colorto="Нет";}

                    $summa_o = ($kliks * $plan) + ($kliks * $plan * $down_con["procent"]/100);
					$summa = $summa_o + $cenavip + $cenacolor;
					$summa = round($summa,3);
?>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
<th align="left">Параметр</th>
<th align="left">Значение параметра</th>
</tr></thead>
<tbody><tr>
<td class='value' align='left' ><b>Название Скачивания:</b></td>
<td class='value' align='left' ><?php echo $description;?><br /></td>
</tr>
<tr>
<td class='value' align='left' ><b>Ссылка для перехода:</b></td>
<td class='value' align='left' ><a href="<?php echo $url;?>" target="newwin"><?php echo $url;?></a></td>
</tr>
<tr>
<td class='value' align='left' ><b>Описание:</b></td>
<td class='value' align='left' ><textarea rows="5" cols="50"><?php echo $text;?></textarea><br /></td>
</tr>
<tr>
<td class='value' align='left' ><b>Кол-во правильных ответов:</b> </td>
<td class='value' align='left' ><?php echo $plan;?></td>
</tr>
<tr>
<td class='value' align='left' ><b>Стоимость 1-ого скачивания:</b> </td>
<td class='value' align='left' ><?php echo $kliks;?></td>
</tr>
<tr>
<td class='value' align='left' ><b>Размер файла:</b></td>
<td class='value' align='left' ><?php echo $size;?> (МБ)</td>
</tr>
<tr>
<td class='value' align='left' ><b>Вариант 1:</b> </td>
<td class='value' align='left' ><?php echo $var1;?></td>
</tr>
<tr>
<td class='value' align='left' ><b>Вариант 2:</b> </td>
<td class='value' align='left' ><?php echo $var2;?></td>
</tr>
<tr>
<td class='value' align='left' ><b>Вариант 3:</b> </td>
<td class='value' align='left' ><?php echo $var3;?></td>
</tr>
<tr>
<td class='value' align='left' ><b>Вариант 4:</b> </td>
<td class='value' align='left' ><?php echo $var4;?></td>
</tr>
<tr>
<td class='value' align='left' ><b>Вариант 5:</b></td>
<td class='value' align='left' > <?php echo $var5;?></td>
</tr>
<tr>
<td class='value' align='left' ><b>Правельный Вариант ответа:</b></td>
<td class='value' align='left' ><?php echo $verno;?></td>
</tr>
<tr>
<td class='value' align='left' ><b>VIP категория:</b></td>
<td class='value' align='left' ><?php echo $vipto;?></td>
</tr>
<tr>
<td class='value' align='left' ><b>Выделение цветом:</b></td>
<td class='value' align='left' ><?php echo $colorto;?></td>
</tr>
<tr>
<td class='value' align='left' ><b>К оплате:</b></td>
<td class='value' align='left' ><font color="red"><b><?php echo $summa;?> руб.</b></font></td>
</tr>
<tr>
<td class='value' align='left' ></td>
<td class='value' align='left' >

					<form action="<?php echo $_SERVER['PHP_SELF'];?>?page=pay" method="post">
						<input type="hidden" name="description" value="<?php echo $description;?>">
						<input type="hidden" name="url" value="<?php echo $url;?>">
						<input type="hidden" name="text" value="<?php echo $text;?>">
						<input type="hidden" name="plan" value="<?php echo $plan;?>">
						<input type="hidden" name="kliks" value="<?php echo $kliks;?>">
						<input type="hidden" name="size" value="<?php echo $size;?>">
						<input type="hidden" name="var1" value="<?php echo $var1;?>">
						<input type="hidden" name="var2" value="<?php echo $var2;?>">
						<input type="hidden" name="var3" value="<?php echo $var3;?>">
						<input type="hidden" name="var4" value="<?php echo $var4;?>">
						<input type="hidden" name="var5" value="<?php echo $var5;?>">
						<input type="hidden" name="vip" value="<?php echo $vip;?>">
						<input type="hidden" name="color" value="<?php echo $color;?>">
						<input type="hidden" name="verno" value="<?php echo $verno;?>">
						<input type="submit" class="ok_wm" value="Оплатить">
					</form>
</td>
</tr>
</table>
<?
				}else{
					?><script type="text/javascript">location.replace("<?=$_SERVER['PHP_SELF']?>");</script><?
				}
		}

	$date = time();
	$datenorm = DATE("d.m.Yг. в H:i");

	if($option=="pay")
		{
			if(count($_POST) > 0)
				{

					$description = (isset($_POST["description"])) ? text($_POST["description"]) : false;
					$url = (isset($_POST["url"])) ? text($_POST["url"]) : false;
					$plan = (isset($_POST["plan"])) ? intval($_POST["plan"]) : false;
					$kliks = (is_numeric($_POST["kliks"])) ? round($_POST["kliks"],3) : false;
					$size = (isset($_POST["size"])) ? text($_POST["size"]) : false;
					$var1 = (isset($_POST["var1"])) ? text($_POST["var1"]) : false;
					$var2 = (isset($_POST["var2"])) ? text($_POST["var2"]) : false;
					$var3 = (isset($_POST["var3"])) ? text($_POST["var3"]) : false;
					$var4 = (isset($_POST["var4"])) ? text($_POST["var4"]) : false;
					$var5 = (isset($_POST["var5"])) ? text($_POST["var5"]) : false;
					$verno = intval($_POST["verno"]);
					$vip = intval($_POST["vip"]);
					$color = intval($_POST["color"]);

                    require_once('bbcode.php');
                    $text = bbcod($_POST["text"], true, true);


                    if(empty($description)){echo '<div class="error">Не верное описание </div>'; include('footer.php'); exit;}
					if($url=="" or $url=="http://"){echo '<div class="error">Не верное поле url сайта</div>'; include('footer.php'); exit;}
					if(empty($size)){echo '<div class="error">Не верно задан размер файла</div>'; include('footer.php'); exit;}
					if(empty($var1)){echo '<div class="error">Не задан вариант ответа №1</div>'; include('footer.php'); exit;}
					if(empty($var2)){echo '<div class="error">Не задан вариант ответа №2</div>'; include('footer.php'); exit;}
					if(empty($var3)){echo '<div class="error">Не задан вариант ответа №3</div>'; include('footer.php'); exit;}
					if(empty($var4)){echo '<div class="error">Не задан вариант ответа №4</div>'; include('footer.php'); exit;}
					if(empty($var5)){echo '<div class="error">Не задан вариант ответа №5</div>'; include('footer.php'); exit;}
					if ($verno!=1 and $verno!=2 and $verno!=3 and $verno!=4 and $verno!=5 ){echo '<div class="error">Не верно заданы варианты</div>'; include('footer.php'); exit;}
					if(empty($text)){echo '<div class="error">Нет описания</div>'; include('footer.php'); exit;}
					if($vip!=0 and $vip!=1){echo '<div class="error">Ошибка! Вы не выбрали категорию задания!</div>'; include('footer.php'); exit;}
					if($color!=0 and $color!=1){echo '<div class="error">Ошибка! Вы не выбрали цвет выделения!</div>'; include('footer.php'); exit;}
                    if($plan < $down_con["min_plan"]){echo '<div class="error">Ошибка! Минимум 5 правильных ответов</div>'; include('footer.php'); exit;}
                    if($kliks < $down_con["min_money"]){echo '<div class="error">Ошибка! Цена не должна быть меньше '.$down_con["min_money"].' руб.</div>'; include('footer.php'); exit;}

					if($vip=="0")
						{$cenavip="0"; $vip="";}
					elseif($vip=="1")
						{$cenavip=(10.00 * $vip); $vip="1";}
					else {$cenavip="0"; $vip="";}

					if($color=="0")
						{$cenacolor="0"; $color="#FFF";}
					elseif($color=="1")
						{$cenacolor=(5.00 * $color); $color="#FFFF00";}
					else {$cenacolor="0"; $color="#FFF";}


                    $summa_o = ($kliks * $plan) + ($kliks * $plan * $down_con["procent"]/100);
					$summa = $summa_o + $cenavip + $cenacolor;
					$summa = round($summa,3);

					$sql_user = mysql_query("SELECT money_cr FROM tb_users WHERE username='$username'");
					$row_user = mysql_fetch_assoc($sql_user);

					$money = $row_user["money_cr"];

					if($money<$summa)
						{
							echo '<div class="error">Ошибка! На вашем счету не достаточно средств.<br /><a href="moneytoacc.php">Пополнить баланс &gt;&gt;</a></div>';
							include('footer.php');
							exit;
						}else{

							mysql_query("INSERT INTO seelf_downloads (name, text, plan, kol, var1, var2, var3, var4, var5, url, verno, user, status, size, vip, color, kliks) VALUES('$description','$text','$plan','$plan','$var1','$var2', '$var3','$var4','$var5','$url','$verno','$username','1','$size','$vip','$color','$kliks')") or die(mysql_error());
                                                        mysql_query("INSERT INTO tb_zakazu (user, date, amount, method, status, tipo) VALUES('$username', '$datenorm', '$summa', 'Оплата рекламы(скачивания - $plan шт.)', 'Оплачено', 'reklama')") or die(mysql_error());
							mysql_query("UPDATE tb_users SET money_cr=money_cr-$summa  WHERE username='$username'") or die(mysql_error());

							echo '<div class="good">Задание успешно добавлено!';
							echo '<a href="downloads.php">Перейти к списку скачиваний &gt;&gt;</a></div>';
							include('footer.php');
							exit();
						}
				}else{
					?><script type="text/javascript">location.replace("<?=$_SERVER['PHP_SELF']?>");</script><?
				}
		}
}else{
?>
<BR>

<script language=javascript>
var procent = <?=$down_con["procent"]?>;

var celoe;var drob;var res;
function okrugl(nums){celoe=Math.floor(nums);drob=(nums-celoe)*100;drob=Math.round(drob);if(drob>=10){res=celoe+'.'+drob;}else{res=celoe+'.0'+drob;}return res;}

function zakaz_down(input){

    summa_o = input.kliks.value*input.plan.value;
    summa_p = summa_o*procent/100;
    summa = summa_o+summa_p;
    document.getElementById('summ').innerHTML = okrugl(summa)+' руб.';

}
</script>

<font color=#696969><b>Добавления Скачивании</b></font>
<table class='reyt' width='100%' border='0' cellpadding='0' cellspacing='0'>
<thead><tr>
<th align="center">Параметр</th>
<th align="center">Значение параметра</th>
</tr></thead>
<tbody><tr>
<form id="comment" method="POST" action="<?php echo $_SERVER['PHP_SELF'];?>?page=next">
    <tr>
    <td width="150" align="left">Название Скачивания:</td>
    <td width="250" align="left"><input type="text" onkeyup="zakaz_down(this.form)" name="description" size="25" maxlength="100" autocomplete="off" class="field" value="" tabindex="2" /></td>
  </tr>
  <tr>
    <td width="150" align="left">URL файла:</td>
    <td width="250" align="left"><input type="text"  onkeyup="zakaz_down(this.form)" name="url" size="25" maxlength="150" autocomplete="off" class="field" value="http://" tabindex="3" /></td>
  </tr>



<tr>
<td class="value" colspan="2"><b><center>Описание где найти ответ:</center></b></td>
</tr>
<?
echo <<<HTML
<script type="text/javascript" src="js/bbcod.js"></script>
<tr>
</tr>
<td align="left" border:1px solid #c0c0c0;">
<span class="btn-bold" title="Выделить жирным" value=" B " onclick="insert_comm('[b]','[/b]')" type="button"></span>
<span  class="btn-italic" title="Выделить курсивом" value=" I " onclick="insert_comm('[i]','[/i]')" type="button"></span>
<span  class="btn-uline" title="Выделить подчёркиванием" value=" U " onclick="insert_comm('[u]','[/u]')" type="button"></span>
</td>
<td align="right" border:1px solid #c0c0c0;">
<input style="background: url('copilca/smile/1.gif');border:0;height: 18px;width:18px;" onclick="insert_comm('',':-_')" type="button">
<input style="background: url('copilca/smile/2.gif');border:0;height: 23px;width:26px;" onclick="insert_comm('',':-8')" type="button">
<input style="background: url('copilca/smile/3.gif');border:0;height: 22px;width:24px;" onclick="insert_comm('',':-(')" type="button">
<input style="background: url('copilca/smile/4.gif');border:0;height: 25px;width:25px;" onclick="insert_comm('',':~)')" type="button">
<input style="background: url('copilca/smile/5.gif');border:0;height: 20px;width:20px;" onclick="insert_comm('',':-9')" type="button">
<input style="background: url('copilca/smile/6.gif');border:0;height: 27px;width:20px;" onclick="insert_comm('','8-)')" type="button">
<input style="background: url('copilca/smile/7.gif');border:0;height: 20px;width:20px;" onclick="insert_comm('','9-)')" type="button">
<input style="background: url('copilca/smile/8.gif');border:0;height: 22px;width:31px;" onclick="insert_comm('','10-)')" type="button">
<input style="background: url('copilca/smile/9.gif');border:0;height: 24px;width:31px;" onclick="insert_comm('','11-)')" type="button">
<input style="background: url('copilca/smile/10.gif');border:0;height: 27px;width:47px;" onclick="insert_comm('','12-)')" type="button">
<input style="background: url('copilca/smile/11.gif');border:0;height: 23px;width:26px;" onclick="insert_comm('','13-)')" type="button">
</td>
<tr>
<td align="center" colspan="2">
<textarea id="comess" name="text"  onkeyup="zakaz_down(this.form)" rows=0 class="comtextur" style="height: 100px; width: 560px;" maxlength="500" value=""></textarea>
</td>
</tr>
HTML;
?>
<tr>
    <td width="150" align="left">Кол-во правильных ответов: </td>
    <td width="250" align="left"><input type='text' size='10'  onkeyup="zakaz_down(this.form)" maxlength='10' name='plan' value="<?=$down_con["min_plan"]?>"> </td>
  </tr>
  <tr>
    <td width="150" align="left">Стоимость 1-ого скачивания: </td>
    <td width="250" align="left"><input type='text' size='10' onkeyup="zakaz_down(this.form)"  maxlength='7' name='kliks' value="<?=$down_con["min_money"]?>"></td>
  </tr>
   <tr>
    <td width="150" align="left">К оплате: </td>
    <td width="250" align="left" id="summ"><?=round(($down_con["min_plan"]*$down_con["min_money"])+($down_con["min_plan"]*$down_con["min_money"])*$down_con["procent"]/100,2)?> руб.</td>
  </tr>
<tr>
    <td width="150" align="left">Размер файла (МБ): </td>
    <td width="250" align="left"><input type='text' size='7'  onkeyup="zakaz_down(this.form)" maxlength='15' name='size'></td>
  </tr>
  <tr>

<?

$vip_t = mysql_query("SELECT id FROM seelf_downloads WHERE vip='1'");
if(mysql_num_rows($vip_t)>4)
{
echo '
<tr><td align="left">VIP категория:</td>
<td align="left"><select type="combo" name="vip" tabindex="8">
<option value="0">Мест НЕТ</option>
</select></td></tr>
';
}else{
echo '
		<tr><td align="left"><b>VIP категория:</b></td>
		<td align="left"><select type="combo" name="vip" tabindex="8">
					<option value="0">Нет</option>
					<option value="1">Да (+10.00 руб.)</option>
		</select></td></tr>';
} ?>
		<tr><td align="left"><b>Выделить зеленым цветом:</b></td>
		<td align="left"><select type="combo" name="color" tabindex="8">
					<option value="0">Нет</option>
					<option value="1">Да (+5.00 руб.)</option>
		</select></td></tr>
    <td colspan="2" align='left'><b>Введите 5 вариантов ответов, один из которых должен быть правильным:</b></td>
</tr>
<tr>
<td><b>1.</b></td>
<td><input name="var1" size="50" maxlength="100"  onkeyup="zakaz_down(this.form)" value="" type="text"></td>
</tr><tr>
<td><b>2.</b></td>
<td><input name="var2" size="50" maxlength="100"  onkeyup="zakaz_down(this.form)" value="" type="text"></td>
</tr><tr>
<td><b>3.</b></td>
<td><input name="var3" size="50" maxlength="100"  onkeyup="zakaz_down(this.form)" value="" type="text"></td>
</tr><tr>
<td><b>4.</b></td>
<td><input name="var4" size="50" maxlength="100"  onkeyup="zakaz_down(this.form)" value="" type="text"></td>
</tr><tr>
<td><b>5.</b></td>
<td><input name="var5" size="50" maxlength="100"  onkeyup="zakaz_down(this.form)" value="" type="text"></td>
</tr><tr>
<td><b>Номер правильного ответа</b></td>
<td><input name="verno" size="2" maxlength="1"  onkeyup="zakaz_down(this.form)" value="" type="text"></td>
</tr>
<tr>
<td align="left"></td>
<td align="right"><input type="submit" class="ok_wm" value="Конвертировать" name='subm' class="submit" tabindex="10" /></td>
  </tr>
</form>
</table>
<? }}
include('footer.php'); ?>